// (C) Copyright 2020 Hewlett-Packard Enterprise Company, L.P.
define(['hp/services/IndexService',],
function(indexService) {"use strict";

    var HpsumSettingsPresenter = ( function() {

        function HpsumSettingsPresenter() {
          
            this.getLatency = function() {
                return indexService.getLatency();
            };

            this.setLatency = function(latency) {
                indexService.setLatency(latency);
            };

        }

        return new HpsumSettingsPresenter();

    }());

    return HpsumSettingsPresenter;
});
